Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class AppenderData

    java.lang.Object
      org.wso2.wsas.admin.service.util.AppenderData

    public class AppenderData

extends java.lang.Object

Author: amila Date: Jun 27, 2006

Constructor Summary
`AppenderData()`
`AppenderData(java.lang.String name, java.lang.String pattern, java.lang.String logFile, boolean isFileAppender)`
`AppenderData(java.lang.String name, java.lang.String pattern, java.lang.String logFile, boolean fileAppender, java.lang.String sysLogHost, java.lang.String facility, java.lang.String threshold, boolean sysLogAppender)`

Method Summary
`java.lang.String` | `getFacility()`
`boolean` | `getIsFileAppender()`
`boolean` | `getIsSysLogAppender()`
`java.lang.String` | `getLogFile()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getSysLogHost()`
`java.lang.String` | `getThreshold()`
`void` | `setFacility(java.lang.String facility)`
`void` | `setIsFileAppender(boolean fileAppender)`
`void` | `setIsSysLogAppender(boolean sysLogAppender)`
`void` | `setLogFile(java.lang.String logFile)`
`void` | `setName(java.lang.String name)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setSysLogHost(java.lang.String sysLogHost)`
`void` | `setThreshold(java.lang.String threshold)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppenderData

    public AppenderData()

### AppenderData

    public AppenderData(java.lang.String name,
                        java.lang.String pattern,
                        java.lang.String logFile,
                        boolean isFileAppender)

### AppenderData

    public AppenderData(java.lang.String name,
                        java.lang.String pattern,
                        java.lang.String logFile,
                        boolean fileAppender,
                        java.lang.String sysLogHost,
                        java.lang.String facility,
                        java.lang.String threshold,
                        boolean sysLogAppender)

Method Detail

### getIsFileAppender

    public boolean getIsFileAppender()

### setIsFileAppender

    public void setIsFileAppender(boolean fileAppender)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getLogFile

    public java.lang.String getLogFile()

### setLogFile

    public void setLogFile(java.lang.String logFile)

### getSysLogHost

    public java.lang.String getSysLogHost()

### setSysLogHost

    public void setSysLogHost(java.lang.String sysLogHost)

### getFacility

    public java.lang.String getFacility()

### setFacility

    public void setFacility(java.lang.String facility)

### getThreshold

    public java.lang.String getThreshold()

### setThreshold

    public void setThreshold(java.lang.String threshold)

### getIsSysLogAppender

    public boolean getIsSysLogAppender()

### setIsSysLogAppender

    public void setIsSysLogAppender(boolean sysLogAppender)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD